import QtQuick 2.0
import Widgets 0.1

ApplicationWindow {
    ImageMipmap {
        anchors.fill: parent
        resource: shell.tablet ? "graphics/tablet/gallery.jpg" : "graphics/phone/gallery.jpg"
        smooth: true

        MouseArea {
            anchors.fill: parent
            onClicked: shareMenu.shown = !shareMenu.shown
        }
    }

    ImageMipmap {
        id: shareMenu

        property bool shown: false

        opacity: shown ? 1.0 : 0.0
        Behavior on opacity { NumberAnimation { easing.type: Easing.InOutQuad; duration: 200 } }

        anchors {
            bottom: parent.bottom
            left: parent.left
            right: parent.right
        }

        resource: "graphics/shareMenu.png"
        fillMode: Image.PreserveAspectFit
        smooth: true
    }
}
