import QtQuick 2.0

QtObject {
    property ListModel sourceModel: null
    property ListModel filteredModel: ListModel { }
    property int sourceModelCount: sourceModel ? sourceModel.count : 0

    function isItemAccepted(item) {
        return true
    }

    function applyFilter() {
        filteredModel.clear();
        for(var i=0; i < sourceModel.count; i++) {
            var element = sourceModel.get(i)
            if (isItemAccepted(element)) {
                filteredModel.append(element)
            }
        }
    }

    onSourceModelChanged: applyFilter()
    onSourceModelCountChanged: applyFilter()
}
