import QtQuick 2.0
import Widgets 0.1

Rectangle {
    id: quitDialog
    width: units.dp(320)
    height: units.dp(854/1.5)
    color: "black"
    opacity: 0
    visible: opacity != 0

    signal reset()

    Behavior on opacity {NumberAnimation {duration: 150}}

    function hide() {
        quitDialog.opacity = 0;
    }

    function show () {
        quitDialog.opacity = 0.9;
    }

    // eater
    MouseArea {
        visible: quitDialog.opacity > 0
        anchors.fill: parent
    }

    Column {
        anchors {
            centerIn: parent
        }
        spacing: units.dp(40/1.5)
        Rectangle {
            color: "transparent"
            width: text1.width + units.dp(10/1.5)
            height: units.dp(50/1.5)
            border.color: "white"
            border.width: units.dp(2/1.5)
            radius: units.dp(10)
            anchors.horizontalCenter: parent.horizontalCenter
            Text {
                id: text1
                text: "Reset Prototype ?"
                color: "white"
                anchors.centerIn: parent
                font.pixelSize: units.dp(22/1.5)
            }
            MouseArea {
                visible: quitDialog.opacity == 0.9
                anchors.fill: parent
                anchors.margins: -units.dp(10/1.5)
                onClicked: {
                    quitDialog.reset()
                    quitDialog.hide();
                }
            }
        }
        Rectangle {
            color: "transparent"
            width: text2.width + units.dp(10/1.5)
            height: units.dp(50/1.5)
            border.color: "white"
            border.width: units.dp(2/1.5)
            radius: units.dp(10)
            anchors.horizontalCenter: parent.horizontalCenter
            Text {
                id: text2
                text: "Quit ?"
                color: "white"
                anchors.centerIn: parent
                font.pixelSize: units.dp(22/1.5)
            }
            MouseArea {
                visible: quitDialog.opacity == 0.9
                anchors.fill: parent
                anchors.margins: -units.dp(10/1.5)
                onClicked: {
                    Qt.quit()
                }
            }
        }
        Rectangle {
            color: "transparent"
            width: text3.width + units.dp(10/1.5)
            height: units.dp(50/1.5)
            border.color: "white"
            border.width: units.dp(2/1.5)
            radius: units.dp(10)
            anchors.horizontalCenter: parent.horizontalCenter
            Text {
                id: text3
                text: "Cancel ?"
                color: "white"
                anchors.centerIn: parent
                font.pixelSize: units.dp(22/1.5)
            }
            MouseArea {
                visible: quitDialog.opacity == 0.9
                anchors.fill: parent
                anchors.margins: -units.dp(10/1.5)
                onClicked: {
                    quitDialog.hide();
                }
            }
        }
    }
}
