import QtQuick 2.0
import Widgets 0.1
import "../Components"

Showable {
    id: dash

    property alias contentProgress: dashContent.contentProgress
    property ListModel spreadModel

    signal applicationSelected(string identifier)

    width: units.dp(320)
    height: units.dp(854/1.5)

    function focusTo(lenseName, animate) {
        dashContent.focusToIndex(dashModel.nameToIndex(lenseName), animate)
    }

    DashModel {
        id: dashModel
    }

    DashContent {
        id: dashContent
        anchors.fill: parent
        model: dashModel
        onMovementStarted: dashbar.startNavigation()
        onMovementEnded: dashbar.stopNavigation()
        onContentFlickStarted: dashbar.finishNavigation()
    }

    DashBar {
        id: dashbar
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        model: dashModel
        currentIndex: dashContent.currentIndex

        onItemSelected: dashContent.focusToIndex(index, true)

    }
}
