import QtQuick 2.0
import Widgets 0.1

Item {
    id: dashContent
    width: units.dp(320)
    height: units.dp(854/1.5)

    property variant model: null
    property real contentProgress: Math.max(0, Math.min(dashContentList.contentX / (dashContentList.contentWidth - dashContentList.width), units.dp(1/1.5)))
    property alias currentIndex: dashContentList.currentIndex

    signal movementStarted()
    signal movementEnded()
    signal contentFlickStarted()

    function focusToIndex(index, animate) {
        var storedMoveDuration = dashContentList.highlightMoveDuration
        var storedMoveSpeed = dashContentList.highlightMoveVelocity
        if (!animate) {
            dashContentList.highlightMoveVelocity = units.dp(33333)
            dashContentList.highlightMoveDuration = 0
        }

        dashContentList.currentIndex = index

        if (!animate) {
            dashContentList.highlightMoveDuration = storedMoveDuration
            dashContentList.highlightMoveVelocity = storedMoveSpeed
        }
    }

    ListView {
        id: dashContentList

        signal applicationSelected(string name)

        onApplicationSelected: dash.applicationSelected(name)

        anchors.fill: parent
        model: dashContent.model
        orientation: ListView.Horizontal
        boundsBehavior: Flickable.DragAndOvershootBounds
        flickDeceleration: units.dp(5000)
        snapMode: ListView.SnapOneItem
        highlightMoveDuration: 250
        focus: true
        highlightRangeMode: ListView.StrictlyEnforceRange
        currentIndex: 2
        cacheBuffer: 200
        onMovementStarted: dashContent.movementStarted()
        onMovementEnded: dashContent.movementEnded()
    }
}
