import QtQuick 2.0
import Widgets 0.1

Item {
    id: hud

    width: units.dp(100/1.5)
    height: units.dp(24)
    clip: true

    property string headerText: "Search"

    function show() {
        hud.state = "visible"
    }

    function hideDown() {
        hud.state = "hiddenDown"
    }

    function hideUp() {
        hud.state = "hiddenUp"
    }

    // eater
    MouseArea {
        anchors.fill: parent
    }

    Item {
        id: container

        width: parent.width
        height: parent.height

        Behavior on opacity {NumberAnimation {}}
        Behavior on y {NumberAnimation {duration: hud.state == "hiddenUp" ? 0 : 300; easing.type: Easing.OutCubic}}

        ImageMipmap {
            id: icon
            resource: "graphics/search.png"
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: units.dp(8/1.5)
        }

        Text {
            text: hud.headerText
            color: "white"
            font.pixelSize: units.dp(12)
            anchors.left: icon.right
            anchors.leftMargin: units.dp(10/1.5)
            anchors.verticalCenter: parent.verticalCenter
        }
    }

    states: [
        State {
            name: "visible"
            PropertyChanges {
                target: container
                y: 0
                opacity: 1
            }
        },
        State {
            name: "hiddenDown"
            PropertyChanges {
                target: container
                y: height
                opacity: 0
            }
        },
        State {
            name: "hiddenUp"
            PropertyChanges {
                target: container
                y: -height
                opacity: 0
            }
        }
    ]
}
