import QtQuick 2.0
import Widgets 0.1

Item {
    id: indicatorGroup

    property ListModel model
    property int additionalSpacing: 0
    property bool isCurrentItem: false
    property bool alert: false
    property string group

    height: units.dp(24)
    width: itemRow.width

    Rectangle {
        id: highlight

        anchors.fill: parent
        anchors.margins: units.dp(2/1.5)
        visible: indicatorGroup.isCurrentItem
        color: "gray"
        border.color: "white"
        border.width: units.dp(1/1.5)
        radius: Math.floor(height/6)
        smooth: true
    }

    Row {
        id: itemRow
        Repeater {
            model: indicatorGroup.model
            IndicatorItem {
                id: indicatorItem
                additionalSpacing: indicatorGroup.additionalSpacing
                height: indicatorGroup.height
                alert: indicatorGroup.alert
            }
        }
    }
}
