import QtQuick 2.0
import Widgets 0.1

IndicatorMenuWindow {
    id: systemMenu

    headingText: "System"

    signal menuSelected(string menuFile)

    Item {
        id: container

        anchors.fill: parent

        GridView {
            id: menugrid
            anchors {
                bottom: container.bottom
                left: container.left
                right: container.right
            }
            height: 2*container.height/3
            model: systemMenuModel
            cellWidth: Math.floor((width) / 3)
            cellHeight: Math.floor((height) / 3)
            clip: true
            visible: opacity != 0
            interactive: false
            delegate:
                Item {
                    width: menugrid.cellWidth
                    height: menugrid.cellHeight
                    ImageMipmap {
                        id: iconImage
                        resource: gridIcon
                        anchors.centerIn: parent
                        anchors.verticalCenterOffset: -units.dp(20/1.5)
                        width: 0.5 * menugrid.cellWidth
                        height: width * sourceSize.height / sourceSize.width
                        smooth: true
                    }

                    Text {
                        text: groupName
                        color: "white"
                        font.pixelSize: units.dp(22/1.5)
                        anchors.horizontalCenter: parent.horizontalCenter
                        anchors.top: iconImage.bottom
                        anchors.topMargin: units.dp(10)
                        //font.family: prototype.ubuntuFont.name
                    }
                    MouseArea {
                        anchors.fill: parent
                        onClicked: {
                            systemMenu.menuSelected(groupName)
                        }
                    }
                }
            }
    }


    ListModel {
        id: systemMenuModel
        ListElement {
            groupName: "Location"
            gridIcon: "../graphics/Location.png"
        }
        ListElement {
            groupName: "Bluetooth"
            gridIcon:"../graphics/Bluetooth.png"
        }
        ListElement {
            groupName: "Sync"
            gridIcon: "../graphics/Sync.png"
        }
        ListElement {
            groupName: "Messages"
            gridIcon: "../graphics/Messages.png"
        }
        ListElement {
            groupName: "Sound"
            gridIcon: "../graphics/Sound.png"
        }
        ListElement {
            groupName: "Network"
            gridIcon: "../graphics/Network.png"
        }
        ListElement {
            groupName: "Battery"
            gridIcon: "../graphics/Battery.png"
        }
        ListElement {
            groupName: "Time"
            gridIcon: "../graphics/Clock.png"
        }
    }
}
