import QtQuick 2.0
import Widgets 0.1

Item {
    id: launcherLabel

    property string iconSource: ""
    property string text: ""
    property bool expandedLayout: false
    property int expansion: units.dp(30/1.5)
    property bool bubble: true

    width: units.dp(100)
    height: units.dp(50)

    Rectangle {
        id: rectangle

        opacity: 0.9
        anchors.fill: parent
        anchors.topMargin: expandedLayout ? -expansion : 0
        radius: 8
        color: "black"
        border.width: 1
        border.color: "white"
        visible: !bubble
    }

    ImageMipmap {
        id: bubbleImage
        width: parent.width
        height: parent.height
        y: -height/2
        resource: "graphics/label_bubble.png"
        smooth: true
        visible: bubble
    }

    Text {
        id: labelText
        anchors.right: expandedLayout ? undefined : labelImage.left
        anchors.rightMargin: units.dp(20/1.5)
        anchors.verticalCenter: expandedLayout ? undefined : bubble ? bubbleImage.verticalCenter : launcherLabel.verticalCenter

        anchors.top: expandedLayout ? rectangle.top : undefined
        anchors.topMargin: units.dp(10/1.5)
        anchors.left: expandedLayout ? parent.left : undefined
        anchors.leftMargin: units.dp(10/1.5)
        text: launcherLabel.text
        color: "white"
        font.pixelSize: units.dp(30/1.5)
    }

    Image {
        id: labelImage
        anchors.right: bubble ? bubbleImage.right : launcherLabel.right
        anchors.top: bubble ? bubbleImage.top : launcherLabel.top
        anchors.bottom: bubble ? bubbleImage.bottom : launcherLabel.bottom
        width: height * sourceSize.width / sourceSize.height
        source: launcherLabel.iconSource
        smooth: true
    }
}
