import QtQuick 2.0
import Widgets 0.1


Item {
    id: background
    
    property int shadowTop: 2
    property int shadowBottom: 9
    property int shadowRight: 6
    property int shadowLeft: 6

    Item {
        id: checker

        anchors.fill: border

        Rectangle {
            anchors.fill: parent
            color: "black"
            opacity: 0.8
        }

        ImageMipmap {
            anchors.fill: parent
            fillMode: Image.Tile
            resource: "graphics/checker.png"
        }
    }

    BorderImageMipmap {
        id: border
        
        anchors.fill: parent
        anchors.topMargin: -background.shadowTop
        anchors.bottomMargin: -background.shadowBottom
        anchors.leftMargin: -background.shadowLeft
        anchors.rightMargin: -background.shadowRight
        horizontalTileMode: BorderImage.Stretch
        verticalTileMode: BorderImage.Stretch
        resource: "graphics/border.png"
        border.left: units.dp(16/1.5); border.top: units.dp(10/1.5)
        border.right: units.dp(12); border.bottom: units.dp(16/1.5)
    }

    ImageMaskEffect {
        anchors.fill: border
        image: ShaderEffectSource {
            sourceItem: checker
            live: true
            hideSource: true
        }
        mask: ShaderEffectSource {
            sourceItem: border
            live: true
            hideSource: true
        }
    }

    RadialGradient {
        inColor: Qt.rgba(1.0, 1.0, 1.0, 0.2)
        outColor: Qt.rgba(0.0, 0.0, 0.0, 0.1)
        radius: width / 1.8
        originX: width / 2.0
        originY: 0
        anchors.fill: border
        anchors.topMargin: background.shadowTop
        anchors.bottomMargin: background.shadowBottom
        anchors.leftMargin: background.shadowLeft
        anchors.rightMargin: background.shadowRight
    }
}
