import QtQuick 2.0


ShaderEffect {
    property variant image
    property variant mask
    property color passthroughColor: Qt.rgba(1, 0, 0, 1)

    fragmentShader:
        "
        varying highp vec2 qt_TexCoord0;
        uniform sampler2D image;
        uniform sampler2D mask;
        uniform lowp vec4 passthroughColor;
        void main(void)
        {
            lowp vec4 maskColor = texture2D(mask, qt_TexCoord0.st);
            if (maskColor.a != 0.0 && maskColor.rgb == passthroughColor.rgb * maskColor.a) {
                gl_FragColor = texture2D(image, qt_TexCoord0.st);
            } else {
                gl_FragColor = maskColor;
            }
        }
        "
}
