import QtQuick 2.0
import Widgets 0.1

Item {
    id: notificationButtons

    property int snapDecisionCount
    property int clickableCount
    property int notificationCount

    width: units.dp(100/1.5)
    height: units.dp(62/1.5)

    signal newSnapDecision()
    signal newNotification()
    signal newClickableNotification()
    signal dismissCurrent()

    function __showNotification(type) {
        if (type == 0) {
            notificationButtons.dismissCurrent()
        } else if (type == 1) {
            notificationButtons.newSnapDecision()
        } else if (type == 2) {
            notificationButtons.newClickableNotification()
        } else if (type == 3) {
            notificationButtons.newNotification()
        }
    }

    Row {
        id: buttonRow
        width: childrenRect.width
        height: childrenRect.height
        anchors.horizontalCenter: parent.horizontalCenter
        Repeater {
            model: notificationModel
            Item {
                width: Math.floor(notificationButtons.width/notificationModel.count) - units.dp(1/1.5)
                height: notificationButtons.height
                Rectangle {
                    id: bg
                    anchors.fill: parent
                    color: "black"
                    opacity: 0.8
                    border.width: units.dp(1)
                    border.color: "white"
                }
                MouseArea {
                    id: mouseArea
                    anchors.fill: parent
                    onClicked: notificationButtons.__showNotification(type)
                }
                Text {
                    anchors.centerIn: bg
                    color: "white"
                    font.pixelSize: units.dp(20/1.5)
                    text: model.text
                    opacity: mouseArea.pressed ? 1 : 0.7
                }
                Text {
                    id: count
                    text: {
                        if (type == 1) return snapDecisionCount
                        else if (type == 2) return clickableCount
                        else if (type == 3) return notificationCount
                        else return ""
                    }

                    color: "gray"
                    font.pixelSize: units.dp(12)
                    anchors.bottom: parent.bottom
                    anchors.right: parent.right
                    anchors.margins: units.dp(2/1.5)
                }
            }
        }
    }

    ListModel {
        id: notificationModel
        ListElement{
            text: "SD"
            type: 1
        }
        ListElement{
            text: "Clickable"
            type: 2
        }
        ListElement{
            text: "Notificat."
            type: 3
        }
        ListElement{
            text: "Dismiss"
            type: 0
        }
    }
}

